<style>
    table {
        width: 100% !important;
    }
</style>
<!-- grain report -->
<div id="forms" class="page-layout carded fullwidth" *ngIf="reportType == 'corn'">
    <div class="top-bg accent"></div>
    <div class="center">
        <div class="header accent mt-12" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 100%">
                <a href="http://www.TexasCorn.org" target="_blank">
                    <img src="../../../../../assets/images/logos/logo@x3.png" alt="TCPB" style="width: 280px;" />
                </a>
            </div>
        </div>
        <div class="form-wrapper corn-form mat-card mat-elevation-z4 mt-20" fxLayout="column" >
            <form class="p-24" fxLayout="column" fxLayoutAlign="start" fxFlex="1 0 auto"
                name="stripeForm" [formGroup]="stripeForm" (ngSubmit)="onSubmit()">
                <div fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 auto">
                    <div fxLayout="column" fxFlex="100">
                        <h1 class="head-title">CORN PROCESSOR MONTHLY ASSESSMENT REPORT </h1>
                    </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 auto">
                    <div fxLayout="column" fxFlex="100">
                        <h3 class="head-title-sm">
                            
                            {{processorName}} & # {{id}}
                        </h3>
                    </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="70">
                        Total grain processed (in bushels) since last remittance:
                    </p>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Bushels</mat-label>
                        <input matInput formControlName="buTons" (keyup)="butonsFormula($event.target.value)" required>
                        <mat-error>Bushels is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="70">
                        Total remitted - Figure $.01 per bushel (56 lbs.): $
                    </p>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Total Remitted</mat-label>
                        <input matInput formControlName="amount" required>
                        <mat-error>Amount is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <mat-checkbox fxFlex="70" formControlName="is_check" (ngModelChange)="reportCheck()">This is the final report until</mat-checkbox>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Start Month</mat-label>
                        <mat-select formControlName="startMonth">
                            <mat-option [value]="month" *ngFor="let month of monthData">
                                {{month}}
                            </mat-option>
                        </mat-select>
                    
                        <mat-error>Month is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="100" class="form-text">
                        By submitting this report, the processor affirms records are on file in its office to substantiate the amounts shown below, if requested by Texas Corn Producers Board or the Texas Department of Agriculture.
                    </p>
                </div>
                <div fxLayout="row" fxLayoutAlign="space-between flex-start">
                    <div fxLayout="column" fxFlex="40">
                        <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                            <p fxFlex="100">
                                Report submitted on behalf of processor by:
                            </p>
                        </div>
                        <div fxLayout="column" fxFlex="1 0 auto">
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Name</mat-label>
                                <input matInput formControlName="name" required>
                                <mat-error>Name is required!</mat-error>
                            </mat-form-field>
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Title</mat-label>
                                <input matInput formControlName="title" required>
                                <mat-error>Title is required!</mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row" fxFlex="55">
                        <div fxLayout="column" class="paycard-bg">
                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Holder Name</mat-label>
                                    <input matInput formControlName="account_holder_name" required>
                                    <mat-error>Account holder name is required!</mat-error>
                                </mat-form-field>
                            </div>

                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Holder Type</mat-label>
                                    <input matInput formControlName="account_holder_type" required>
                                    <mat-error>Account holder type is required!</mat-error>
                                </mat-form-field>
                            </div>

                             <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Routing Number</mat-label>
                                    <input matInput  formControlName="routing_number" maxlength="9" minlength="9" required>
                                    <mat-error>Routing number is required!</mat-error>
                                </mat-form-field>
                            </div>

                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Number</mat-label>
                                    <input matInput  formControlName="account_number" required>
                                    <mat-error>Account number is required!</mat-error>
                                </mat-form-field>
                            </div>
                            <!-- <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Card Number</mat-label>
                                    <input matInput  formControlName="number" maxlength="16" minlength="16" required>
                                    <mat-error>Card Number is required!</mat-error>
                                </mat-form-field>
                            </div> -->
                            <!-- <div fxLayout="row" fxLayoutAlign="space-between center" fxFlex="1 0 auto">
                                    <div fxLayout="row" fxLayoutAlign="space-between center" fxFlex="49">
                                        <mat-form-field appearance="outline" fxFlex="48">
                                            <mat-label>MM</mat-label>
                                            <input matInput formControlName="exp_month" maxlength="2" minlength="1"  payments-format="expiry" required>
                                            <mat-error>Expiration month is required!</mat-error>
                                        </mat-form-field>
                                        <mat-form-field appearance="outline" fxFlex="48">
                                            <mat-label>YYYY</mat-label>
                                            <input matInput formControlName="exp_year" maxlength="4" minlength="4"  payments-format="expiry" required>
                                            <mat-error>Expiration year is required!</mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div fxLayout="row" fxFlex="49">
                                        <mat-form-field appearance="outline" fxFlex="100">
                                            <mat-label>CVC</mat-label>
                                            <input matInput formControlName="cvc" required>
                                            <mat-error>CVC is required!</mat-error>
                                        </mat-form-field>
                                    </div>
                            </div> -->
                            <button mat-raised-button class="submit-button" color="accent" 
                                [disabled]="!stripeForm.valid">
                                    SUBMIT & PAY
                            </button>
                        </div>
                    </div>
                </div>

                <!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                   
                </div> -->  
                <!-- <div fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 100%">
                        <h2 class="head-title-sm" >CORN FOR GRAIN REMITTANCE RECORD TO DATE</h2>
                    </div>
                    <table style="width: 100%;">
                        <thead>
                            <tr>
                                <th>DEPOSIT DATE</th>
                                <th>CHECK NUMBER</th>
                                <th>TCPB DEPOSIT NUMBER</th>
                                <th>AMOUNT RECEIVED</th>
                                <th>TOTAL GRAIN REPORTED IN BUSHELS</th>
                            </tr>
                        </thead>
                    </table>
                </div> -->
            </form>
        </div>
        <div fxLayout="column" class="footer-sec">
            <p fxFlex="100" class="footer-text">
                4205 N. Interstate 27 • Lubbock, Texas 79403 • 806.763.CORN (2676)
            </p>
            <div fxFlex="100" fxLayoutAlign="center center" class="footer-links">
                <!-- <a href="www.texascorn.org" target="_blank">www.TexasCorn.org</a> -->
                <a href="http://www.TexasCorn.org" target="_blank">www.TexasCorn.org</a>
                <a href="mailto:tcpb@texascorn.org">tcpb@texascorn.org</a>
            </div>
        </div>
    </div>
    
</div>


<div id="forms" class="page-layout carded fullwidth" *ngIf="reportType != 'corn'">
    <div class="top-bg accent"></div>
    <div class="center">
        <div class="header accent mt-12" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 100%">
                <a href="http://www.TexasCorn.org" target="_blank">
                    <img src="../../../../../assets/images/logos/logo@x3.png" alt="TCPB" style="width: 280px;" />
                </a>
            </div>
        </div>
        <div class="form-wrapper corn-form mat-card mat-elevation-z4 mt-20" fxLayout="column" >
            <form class="p-24" fxLayout="column" fxLayoutAlign="start" fxFlex="1 0 auto"
                name="stripeForm" [formGroup]="stripeForm" (ngSubmit)="onSubmit()">
                <div fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 auto">
                    <div fxLayout="column" fxFlex="100">
                        <h1 class="head-title" style="color: red;">CORN SILAGE PROCESSOR MONTHLY ASSESSMENT REPORT </h1>
                    </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="center center" fxFlex="1 0 auto">
                    <div fxLayout="column" fxFlex="100">
                        <h3 class="head-title-sm">
                          
                            {{processorName}} & # {{id}}
                        </h3>
                    </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="70">
                        Total corn silage processed (in tons) since last remittance:
                    </p>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Tons</mat-label>
                        <input matInput formControlName="buTons" (keyup)="butonsFormula($event.target.value)" required>
                        <mat-error>Tons is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="70">
                        Total remitted - Figure $.074 per ton: $
                    </p>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Total Remitted</mat-label>
                        <input matInput formControlName="amount" required>
                        <mat-error>Amount is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <mat-checkbox fxFlex="70" formControlName="is_check" (ngModelChange)="reportCheck()">This is the final report until</mat-checkbox>
                    <mat-form-field appearance="outline" fxFlex="30">
                        <mat-label>Start Month</mat-label>
                        <mat-select formControlName="startMonth">
                            <mat-option [value]="month" *ngFor="let month of monthData">
                                {{month}}
                            </mat-option>
                        </mat-select>
                    
                        <mat-error>month is required!</mat-error>
                    </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                    <p fxFlex="100" class="form-text">
                        By submitting this report, the processor affirms records are on file in its office to substantiate the amounts shown below, if requested by Texas Corn Producers Board or the Texas Department of Agriculture.
                    </p>
                </div>
                <div fxLayout="row" fxLayoutAlign="space-between flex-start">
                    <div fxLayout="column" fxFlex="40">
                        <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                            <p fxFlex="100">
                                Report submitted on behalf of processor by:
                            </p>
                        </div>
                        <div fxLayout="column" fxFlex="1 0 auto">
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Name</mat-label>
                                <input matInput formControlName="name" required>
                                <mat-error>Name is required!</mat-error>
                            </mat-form-field>
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Title</mat-label>
                                <input matInput formControlName="title" required>
                                <mat-error>Title is required!</mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row" fxFlex="55">
                        <div fxLayout="column" class="paycard-bg">
                            <!-- <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Card Holder</mat-label>
                                    <input matInput formControlName="card_holder" required>
                                    <mat-error>Card Holder is required!</mat-error>
                                </mat-form-field>
                            </div>
                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Card Number</mat-label>
                                    <input matInput  formControlName="number" maxlength="16" minlength="16" required>
                                    <mat-error>Card Number is required!</mat-error>
                                </mat-form-field>
                            </div>
                            <div fxLayout="row" fxLayoutAlign="space-between center" fxFlex="1 0 auto">
                                    <div fxLayout="row" fxLayoutAlign="space-between center" fxFlex="49">
                                        <mat-form-field appearance="outline" fxFlex="48">
                                            <mat-label>MM</mat-label>
                                            <input matInput formControlName="exp_month" maxlength="2" minlength="1"  payments-format="expiry" required>
                                            <mat-error>Expiration month is required!</mat-error>
                                        </mat-form-field>
                                        <mat-form-field appearance="outline" fxFlex="48">
                                            <mat-label>YYYY</mat-label>
                                            <input matInput formControlName="exp_year" maxlength="4" minlength="4"  payments-format="expiry" required>
                                            <mat-error>Expiration year is required!</mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div fxLayout="row" fxFlex="49">
                                        <mat-form-field appearance="outline" fxFlex="100">
                                            <mat-label>CVC</mat-label>
                                            <input matInput formControlName="cvc" required>
                                            <mat-error>CVC is required!</mat-error>
                                        </mat-form-field>
                                    </div>
                            </div> -->
                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Holder Name</mat-label>
                                    <input matInput formControlName="account_holder_name" required>
                                    <mat-error>Account holder name is required!</mat-error>
                                </mat-form-field>
                            </div>

                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Holder Type</mat-label>
                                    <input matInput formControlName="account_holder_type" required>
                                    <mat-error>Account holder type is required!</mat-error>
                                </mat-form-field>
                            </div>

                             <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Routing Number</mat-label>
                                    <input matInput  formControlName="routing_number" maxlength="9" minlength="9" required>
                                    <mat-error>Routing number is required!</mat-error>
                                </mat-form-field>
                            </div>

                            <div fxLayout="row" fxFlex="1 0 100%" fxFlex="100">
                                <mat-form-field appearance="outline" fxFlex="100">
                                    <mat-label>Account Number</mat-label>
                                    <input matInput  formControlName="account_number" required>
                                    <mat-error>Account number is required!</mat-error>
                                </mat-form-field>
                            </div>
                            <button mat-raised-button class="submit-button" color="accent" 
                                [disabled]="!stripeForm.valid">
                                    SUBMIT & PAY
                            </button>
                        </div>
                    </div>
                </div>

                <!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                   
                </div> -->  
                <!-- <div fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 100%">
                        <h2 class="head-title-sm">CORN FOR GRAIN REMITTANCE RECORD TO DATE</h2>
                    </div>
                    <table style="width: 100%;">
                        <thead>
                            <tr>
                                <th>DEPOSIT DATE</th>
                                <th>CHECK NUMBER</th>
                                <th>TCPB DEPOSIT NUMBER</th>
                                <th>AMOUNT RECEIVED</th>
                                <th>TOTAL CORN SILAGE REPORTED IN TONS</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
            
                              <td></td>
                              <td></td>
                              <td></td>
                              <td></td>
                              <td></td>
                            </tr>
                        </tbody>
                    </table>
                </div> -->
            </form>
        </div>
        <div fxLayout="column" class="footer-sec">
            <p fxFlex="100" class="footer-text">
                4205 N. Interstate 27 • Lubbock, Texas 79403 • 806.763.CORN (2676)
            </p>
            <div fxFlex="100" fxLayoutAlign="center center" class="footer-links">
                <a href="http://www.TexasCorn.org" target="_blank">www.TexasCorn.org</a>
                <a href="mailto:tcpb@texascorn.org">tcpb@texascorn.org</a>
            </div>
        </div>
    </div>
</div>